%global icon_themes    hicolor HighContrast

Name:           gnome-sudoku
Epoch:          1
Version:        3.8.1
Release:        3%{?dist}
Summary:        GNOME Sudoku game

License:        GPLv2+ and CC-BY-SA
URL:            http://projects.gnome.org/gnome-games/
Source0:        http://download.gnome.org/sources/gnome-sudoku/3.8/gnome-sudoku-%{version}.tar.xz

# https://bugzilla.gnome.org/show_bug.cgi?id=693736
Patch1:         0001-Fix-NumberBox-envents-configuration-with-latest-pygo.patch

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pygobject3-devel
BuildRequires:  python2-devel

Requires:       pygobject3
Requires:       gtk3

Obsoletes: gnome-games-sudoku < 1:3.6.1-5
Obsoletes: gnome-games < 1:3.6.1-5
Obsoletes: gnome-games-help < 1:3.6.1-5

%description
GNOME version of the popular Sudoku Japanese logic game.


%prep
%setup -q
%patch1 -p1 -b .NumberBox

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gnome-sudoku.desktop

%find_lang %{name} --with-gnome


%post
for t in %{icon_themes} ; do
  touch --no-create %{_datadir}/icons/$t &>/dev/null || :
done

%postun
if [ $1 -eq 0 ]; then
  for t in %{icon_themes} ; do
    touch --no-create %{_datadir}/icons/$t &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$t &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for t in %{icon_themes} ; do
  gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc COPYING
%{_bindir}/gnome-sudoku
%{_datadir}/applications/gnome-sudoku.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-sudoku.gschema.xml
%{_datadir}/gnome-sudoku
%{_datadir}/icons/HighContrast/*/apps/gnome-sudoku.*
%{_datadir}/icons/hicolor/*/apps/gnome-sudoku.*
%{_mandir}/man6/gnome-sudoku.6*
%{python_sitelib}/gnome_sudoku


%changelog
* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 1:3.8.1-3
- Obsolete gnome-games-help as well

* Thu Jun 20 2013 Matthias Clasen <mclasen@redhat.com> - 1:3.8.1-2
- Obsolete gnome-games (for upgrades from f17)

* Mon Apr 15 2013 Kalev Lember <kalevlember@gmail.com> - 1:3.8.1-1
- Update to 3.8.1

* Wed Mar 27 2013 Yanko Kaneti <yaneti@declera.com> - 1:3.8.0-2
- HighContrast icon theme scriptlet fixes

* Wed Mar 27 2013 Yanko Kaneti <yaneti@declera.com> - 1:3.8.0-1
- Update to 3.8.0

* Thu Feb 14 2013 Yanko Kaneti <yaneti@declera.com> - 1:3.7.4-2
- Add epoch to avoid being obsoleted by gnome-games-sudoku

* Wed Feb 13 2013 Yanko Kaneti <yaneti@declera.com> - 1:3.7.4-1
- Initial packaging of standalone gnome-sudoku
